apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: workshop
  labels:
    app: middleware
    version: v1
  name: middleware-v1
spec:
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  selector:
    matchLabels:
      app: middleware
      version: v1
  template:
    metadata:
      labels:
        app: middleware
        version: v1
    spec:
      containers:
        - image: stacklabs/istio-on-gke-middleware
          imagePullPolicy: Always
          env:
            - name: MIDDLEWARE_DATABASE_URI
              value: http://database:8080
            - name: SPRING_CLOUD_GCP_LOGGING_PROJECT_ID
              value: "<YOUR_GCP_PROJECT_ID>" #<1>
            - name: MIDDLEWARE_MAX_LANTECY
              value: "3000" #<2>
            - name: MIDDLEWARE_VERSION
              value: "latency-3s"
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: 8181
            initialDelaySeconds: 20
          name: middleware
          resources:
            requests:
              memory: "512Mi"
              cpu: 1
            limits:
              memory: "512Mi"
              cpu: 1
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
